version: "3.8"
services:
    app:
        image: node:22.12.0-bullseye@sha256:1e4b818388ad1f8aea4a244690cac3cee2225fc90dca86dceb05d94940477a59
        # image: registry.gitlab.com/com.trumpf.ux/docker-images/com.trumpf.node-sdt-docker-image:16.0.0
        environment:
            #- NODE_OPTIONS=--max_old_space_size=4096
            #- NODE_ENV=production
            - http_proxy=$http_proxy
            - https_proxy=$https_proxy
            - no_proxy=$no_proxy
        ports:
            - "3331:3331"
            - "3332:3332"
            - "3333:3333"
        user: "node"
        working_dir: /home/node/app
        volumes:
            - ./:/home/node/app
        command: "npm start"

